

#include "BUILTIN.h"

#include "Bitset.h"
extern OBJ _AGlobSig_3(OBJ);extern OBJ __AGlobSig_3;
extern OBJ _AGlobSig_4(OBJ);extern OBJ __AGlobSig_4;
extern OBJ _AGlobSig_5(OBJ);extern OBJ __AGlobSig_5;
extern OBJ _AGlobSig_6(OBJ,OBJ);extern OBJ __AGlobSig_6;
extern OBJ _AGlobSig_7(OBJ);extern OBJ __AGlobSig_7;
extern OBJ _AGlobSig_8(OBJ);extern OBJ __AGlobSig_8;
extern OBJ __AGlobSig_18;
extern OBJ __AGlobSig_20;
extern OBJ _AGlobSig_55(OBJ);extern OBJ __AGlobSig_55;
extern OBJ _AGlobSig_101(OBJ);extern OBJ __AGlobSig_101;
extern OBJ _AGlobSig_102(OBJ,OBJ);extern OBJ __AGlobSig_102;
extern OBJ _AGlobSig_107(OBJ,OBJ);extern OBJ __AGlobSig_107;
extern OBJ _AGlobSig_108(OBJ,OBJ);extern OBJ __AGlobSig_108;
extern OBJ _ADArray_21(OBJ,OBJ);extern OBJ __ADArray_21;
extern OBJ _AName_11(OBJ);extern OBJ __AName_11;
extern OBJ _AName_12(OBJ);extern OBJ __AName_12;
extern OBJ _AName_34(OBJ);extern OBJ __AName_34;
extern OBJ _AOcPos_34(OBJ);extern OBJ __AOcPos_34;

#include "Array.h"
extern OBJ __AOcError_12;
extern OBJ __AOcError_15;
extern OBJ _AOcError_19(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __AOcError_19;
extern OBJ _AOcError_21(OBJ,OBJ);extern OBJ __AOcError_21;
extern OBJ _AOcError_22(OBJ);extern OBJ __AOcError_22;
extern OBJ __ASeq_6;
extern OBJ _ASeq_38(OBJ);extern OBJ __ASeq_38;
extern OBJ _ASeq_42(OBJ,OBJ);extern OBJ __ASeq_42;
extern OBJ _ASeq_51(OBJ,OBJ);extern OBJ __ASeq_51;
extern OBJ _ASeq_52(OBJ,OBJ);extern OBJ __ASeq_52;
extern TUP3 _ATriple_10(OBJ);extern OBJ __ATriple_10;
extern OBJ __AOption_5;

#include "Denotation.h"
extern TUP2 _APair_8(OBJ);extern OBJ __APair_8;
extern OBJ _ASeqConv_3(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ASeqConv_3;
extern OBJ __ASeqConv_8;

#include "Nat.h"
extern OBJ __AAnalyzedGlobSig_23;
extern OBJ _AMapReduce_6(OBJ,OBJ,OBJ,OBJ);extern OBJ __AMapReduce_6;
extern OBJ _ASeqMap_3(OBJ,OBJ);extern OBJ __ASeqMap_3;
extern OBJ _ASeqOfSeq_2(OBJ);extern OBJ __ASeqOfSeq_2;
extern OBJ _AMapConv_8(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __AMapConv_8;

#include "Char.h"
extern OBJ _ASeqReduce_4(OBJ,OBJ,OBJ);extern OBJ __ASeqReduce_4;

#include "Int.h"
extern OBJ _ASeqFilter_2(OBJ,OBJ);extern OBJ __ASeqFilter_2;
extern OBJ __AObjects_30;
extern OBJ _AFct_18(OBJ);extern OBJ __AFct_18;
extern OBJ _AFct_21(OBJ,OBJ,OBJ);extern OBJ __AFct_21;
extern OBJ __ATree_7;
extern OBJ _AAnalyzedGlobSigH_1(OBJ,OBJ);extern OBJ __AAnalyzedGlobSigH_1;
extern OBJ _AAnalyzedGlobSigH_9(OBJ,OBJ,OBJ);extern OBJ __AAnalyzedGlobSigH_9;
extern OBJ __AImpExpEntry_84;
extern OBJ _AImpExpEntry_91(OBJ);extern OBJ __AImpExpEntry_91;
extern OBJ _AImpExpEntry_92(OBJ);extern OBJ __AImpExpEntry_92;
extern OBJ _AMap_31(OBJ,OBJ,OBJ,OBJ);extern OBJ __AMap_31;
extern OBJ _AMap_33(OBJ,OBJ,OBJ);extern OBJ __AMap_33;
extern OBJ _APrioTab_1(OBJ);OBJ __APrioTab_1; /* assumedLAssoc? */
extern OBJ _APrioTab_2(OBJ);OBJ __APrioTab_2; /* assumedRAssoc? */
OBJ __APrioTab_3; /* assumedLAssoc */
OBJ __APrioTab_4; /* assumedRAssoc */
extern OBJ _APrioTab_5(OBJ,OBJ);OBJ __APrioTab_5; /* ` */
extern TUP2 _APrioTab_6(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_6; /* insertLeft */
extern TUP2 _APrioTab_7(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_7; /* insertRight */
extern TUP2 _APrioTab_8(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_8; /* insertLeft,1 */
extern TUP2 _APrioTab_9(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_9; /* insertRight,1 */
extern TUP2 _APrioTab_10(OBJ,OBJ,OBJ);OBJ __APrioTab_10; /* tClosure */
extern OBJ _APrioTab_11(OBJ,OBJ,OBJ);OBJ __APrioTab_11; /* conflict? */
extern OBJ _APrioTab_12(OBJ,OBJ,OBJ);OBJ __APrioTab_12; /* !? */
extern OBJ _APrioTab_13(OBJ,OBJ,OBJ);OBJ __APrioTab_13; /* conflicts */
extern OBJ _APrioTab_14(OBJ,OBJ);OBJ __APrioTab_14; /* = */
extern OBJ _APrioTab_15(OBJ,OBJ);OBJ __APrioTab_15; /* conflict?,1 */
extern OBJ _APrioTab_16(OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_16; /* asD */
extern OBJ _APrioTab_17(OBJ,OBJ,OBJ);OBJ __APrioTab_17; /* $ */
extern OBJ _APrioTab_18(OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_18; /* def */
extern TUP2 _APrioTab_20(OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_20; /* ?&! */
extern TUP3 _APrioTab_22(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_22; /* compose */
extern OBJ _APrioTab_23(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_23; /* compose,1 */
extern OBJ _APrioTab_24(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_24; /* compose,2 */
extern OBJ _APrioTab_25(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_25; /* compose,3 */
extern OBJ _APrioTab_26(OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_26; /* insert */
extern OBJ _APrioTab_27(OBJ,OBJ);OBJ __APrioTab_27; /* pair */
extern OBJ _APrioTab_28(OBJ,OBJ);OBJ __APrioTab_28; /* pair,1 */
extern OBJ _APrioTab_31(OBJ);OBJ __APrioTab_31; /* infixPossible? */
extern OBJ _APrioTab_32(OBJ);OBJ __APrioTab_32; /* abb? */
extern OBJ _APrioTab_33(OBJ);OBJ __APrioTab_33; /* bcb? */
extern OBJ _APrioTab_34(OBJ,OBJ);OBJ __APrioTab_34; /* <| */
extern OBJ _APrioTab_35(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_35; /* pConflict */
extern OBJ _APrioTab_36(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __APrioTab_36; /* pTConflict */
extern OBJ _APrioTab_37(OBJ);OBJ __APrioTab_37; /* asDeno */
OBJ __APrioTab_38; /* $'38 */
OBJ __APrioTab_39; /* asD'39 */
OBJ __APrioTab_40; /* asD'40 */
OBJ __APrioTab_41; /* asD'41 */
extern OBJ _APrioTab_42(OBJ,OBJ,OBJ);OBJ __APrioTab_42; /* asD'42 */
OBJ __APrioTab_43; /* asD'43 */
OBJ __APrioTab_44; /* asD'44 */
OBJ __APrioTab_45; /* asD'45 */
OBJ __APrioTab_46; /* asD'46 */
OBJ __APrioTab_47; /* asDeno'47 */
OBJ __APrioTab_48; /* asDeno'48 */
OBJ __APrioTab_49; /* asDeno'49 */
OBJ __APrioTab_50; /* pConflict'50 */
OBJ __APrioTab_51; /* pConflict'51 */
extern OBJ _APrioTab_52(OBJ);OBJ __APrioTab_52; /* pConflict'52 */
extern OBJ _APrioTab_53(OBJ,OBJ);OBJ __APrioTab_53; /* pair'53 */
extern OBJ _APrioTab_54(OBJ,OBJ);OBJ __APrioTab_54; /* pair,1'54 */
OBJ __APrioTab_55; /* pTConflict'55 */
OBJ __APrioTab_56; /* pTConflict'56 */
extern OBJ _APrioTab_57(OBJ,OBJ);OBJ __APrioTab_57; /* conflicts'57 */
extern OBJ _APrioTab_58(OBJ,OBJ,OBJ);OBJ __APrioTab_58; /* conflicts'58 */
extern OBJ _APrioTab_59(OBJ,OBJ);OBJ __APrioTab_59; /* conflicts'59 */
extern OBJ _APrioTab_60(OBJ,OBJ);OBJ __APrioTab_60; /* conflicts'60 */

extern OBJ _APrioTab_1(OBJ x1) /* assumedLAssoc? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,1))){
  {OBJ x7;
   x7=_AGlobSig_5(x1);
   if(ISTGPRM(x7,0)){
    r=__ABUILTIN_5;
   }else{
    r=__ABUILTIN_3;}}
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _APrioTab_2(OBJ x1) /* assumedRAssoc? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,1))){
  {OBJ x7;
   x7=_AGlobSig_5(x1);
   if(ISTGPRM(x7,1)){
    r=__ABUILTIN_5;
   }else{
    r=__ABUILTIN_3;}}
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _APrioTab_5(OBJ x1,OBJ x2) /* ` */
{OBJ r;
 CPCLS(__APrioTab_16,1);
 CPCLS(__AGlobSig_107,1);
 CPPRD(__ADenotation_3,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__APrioTab_16,1))(__APrioTab_16,x1);
  r=_AMapReduce_6(__AGlobSig_107,x3,__ADenotation_3,x2);}
 return r;}

extern TUP2 _APrioTab_6(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* insertLeft */
{TUP2 r;
 CPPRD(__AOcError_15,1);
 {OBJ x6;OBJ x7;OBJ x8;OBJ x9;TUP2 x12;
  x6=_AGlobSig_6(__AGlobSig_20,x5);
  PRD1(2,x7);FLD1(x7,1)=x2;FLD1(x7,2)=x3;
  PRD1(2,x8);FLD1(x8,1)=x4;FLD1(x8,2)=__AOcError_15;
  x9=_APrioTab_26(x1,x6,x7,x8);
  x12=_APair_8(x9);r.c1=x12.c1;
  CPPRD(x12.c2,1);
  r.c2=_AOcError_21(x12.c2,x12.c2);}
 return r;}
extern OBJ _APrioTab_6_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* insertLeft */
{OBJ r;
 {TUP2 t=_APrioTab_6(x1,x2,x3,x4,x5);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern TUP2 _APrioTab_7(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* insertRight */
{TUP2 r;
 CPPRD(__AOcError_15,1);
 {OBJ x6;OBJ x7;OBJ x8;OBJ x9;TUP2 x12;
  x6=_AGlobSig_6(__AGlobSig_18,x5);
  PRD1(2,x7);FLD1(x7,1)=x2;FLD1(x7,2)=x3;
  PRD1(2,x8);FLD1(x8,1)=x4;FLD1(x8,2)=__AOcError_15;
  x9=_APrioTab_26(x1,x6,x7,x8);
  x12=_APair_8(x9);r.c1=x12.c1;
  CPPRD(x12.c2,1);
  r.c2=_AOcError_21(x12.c2,x12.c2);}
 return r;}
extern OBJ _APrioTab_7_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* insertRight */
{OBJ r;
 {TUP2 t=_APrioTab_7(x1,x2,x3,x4,x5);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern TUP2 _APrioTab_8(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* insertLeft,1 */
{TUP2 r;
 CPCLS(__APrioTab_26,1);
 CPPRD(__AOcError_15,1);
 {OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;TUP2 x13;
  x6=_AGlobSig_6(__AGlobSig_20,x5);
  PRD1(2,x7);FLD1(x7,1)=x4;FLD1(x7,2)=__AOcError_15;
  x8=_APrioTab_28(x2,x3);
  x9=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__APrioTab_26,2))(__APrioTab_26,x1,x6);
  x10=_ASeqReduce_4(x9,x7,x8);
  x13=_APair_8(x10);r.c1=x13.c1;
  CPPRD(x13.c2,1);
  r.c2=_AOcError_21(x13.c2,x13.c2);}
 return r;}
extern OBJ _APrioTab_8_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* insertLeft,1 */
{OBJ r;
 {TUP2 t=_APrioTab_8(x1,x2,x3,x4,x5);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern TUP2 _APrioTab_9(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* insertRight,1 */
{TUP2 r;
 CPCLS(__APrioTab_26,1);
 CPPRD(__AOcError_15,1);
 {OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;TUP2 x13;
  x6=_AGlobSig_6(__AGlobSig_18,x5);
  PRD1(2,x7);FLD1(x7,1)=x4;FLD1(x7,2)=__AOcError_15;
  x8=_APrioTab_28(x2,x3);
  x9=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__APrioTab_26,2))(__APrioTab_26,x1,x6);
  x10=_ASeqReduce_4(x9,x7,x8);
  x13=_APair_8(x10);r.c1=x13.c1;
  CPPRD(x13.c2,1);
  r.c2=_AOcError_21(x13.c2,x13.c2);}
 return r;}
extern OBJ _APrioTab_9_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* insertRight,1 */
{OBJ r;
 {TUP2 t=_APrioTab_9(x1,x2,x3,x4,x5);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern TUP2 _APrioTab_10(register OBJ x1,register OBJ x2,register OBJ x3) /* tClosure */
{TUP2 r;
 for(;;){
  COPY(x1,1);
  COPY(x2,1);
  COPY(x3,3);
  {TUP3 x5;OBJ x8;
   x5=_APrioTab_22(x1,x2,x3,x3,x3);
   CPPRD(x5.c2,1);
   x8=_AOcError_22(x5.c2);
   if(ISTGPRM(x8,1)){
    FREE(x3,1);
    if(ISTGPRM(x5.c3,1)){
     r.c1=x5.c1;r.c2=x5.c2;
     FREE(x1,1);
     FREE(x2,1);
    }else{
     FRPRD(x5.c2,1);
     x3=x5.c1;continue;}
   }else{
    r.c2=x5.c2;
    FREE(x1,1);
    FREE(x2,1);
    FREE(x5.c1,1);
    r.c1=x3;}}
  break;}
 return r;}
extern OBJ _APrioTab_10_c(OBJ x1,OBJ x2,OBJ x3) /* tClosure */
{OBJ r;
 {TUP2 t=_APrioTab_10(x1,x2,x3);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern OBJ _APrioTab_11(OBJ x1,OBJ x2,OBJ x3) /* conflict? */
{OBJ r;
 COPY(x1,1);
 {OBJ x4;OBJ x5;OBJ x6;OBJ x7;
  x4=_AAnalyzedGlobSigH_1(x1,x3);
  x5=_AAnalyzedGlobSigH_1(x1,x2);
  COPY(x5,1);
  x6=_APrioTab_31(x5);
  if(ISTGPRM(x6,1)){
   COPY(x4,1);
   x7=_APrioTab_31(x4);
  }else{
   x7=__ABUILTIN_3;}
  if(ISTGPRM(x7,1)){
   COPY(x5,1);
   {OBJ x8;OBJ x9;
    x8=_APrioTab_32(x5);
    if(ISTGPRM(x8,1)){
     COPY(x4,1);
     x9=_APrioTab_33(x4);
    }else{
     x9=__ABUILTIN_3;}
    if(ISTGPRM(x9,1)){
     if(ISPRD(x5)&&(ISTGPRD(x5,2))){
      {OBJ x17=FLD(x5,2);
       if(EXPRD(x5,1)){
	FREE(FLD(x5,1),1);DSPRDF(x5);
       }else{
	COPY(x17,1);
	FRPRD(x5,1);}
       if(ISPRD(x4)&&(ISTGPRD(x4,2))){
	{OBJ x19=FLD(x4,2);
	 if(EXPRD(x4,1)){
	  FREE(FLD(x4,1),1);DSPRDF(x4);
	 }else{
	  COPY(x19,1);
	  FRPRD(x4,1);}
	 CPCLS(__AGlobSig_108,1);
	 {OBJ x20;
	  x20=x19;
	  r=_AFct_21(__AGlobSig_108,x17,x20);}}
       }else{
	HLT("Fct at <unknown> : undefined selection res\'Fct:fct->fct");}}
     }else{
      HLT("Fct at <unknown> : undefined selection res\'Fct:fct->fct");}
    }else{
     FREE(x4,1);
     FREE(x5,1);
     r=__ABUILTIN_3;}}
  }else{
   FREE(x4,1);
   FREE(x5,1);
   r=__ABUILTIN_3;}}
 return r;}

extern OBJ _APrioTab_12(OBJ x1,OBJ x2,OBJ x3) /* !? */
{OBJ r;
 CPCLS(__AGlobSig_107,1);
 {OBJ x4;
  x4=_AMap_33(__AGlobSig_107,x1,x2);
  if(ISPRM(x4)){
   FREE(x3,1);
   r=__AOption_5;
  }else{
   {OBJ x9=FLD1(x4,1);
    if(EXPRD(x4,1)){
     DSPRDF(x4);
    }else{
     COPY(x9,1);
     FRPRD(x4,1);}
    CPCLS(__AGlobSig_107,1);
    r=_AMap_33(__AGlobSig_107,x9,x3);}}}
 return r;}

extern OBJ _APrioTab_13(OBJ x1,OBJ x2,OBJ x3) /* conflicts */
{OBJ r;
 CPCLS(__APrioTab_31,1);
 CPCLS(__APrioTab_32,1);
 CPCLS(__APrioTab_33,1);
 CPCLS(__APrioTab_57,1);
 CPCLS(__APrioTab_59,1);
 CPCLS(__APrioTab_60,1);
 COPY(x1,2);
 {OBJ x4;OBJ x5;OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;OBJ x14;OBJ x15;
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(__APrioTab_57,1))(__APrioTab_57,x1);
  x5=(*(OBJ(*)(OBJ,OBJ))METHOD(__APrioTab_59,1))(__APrioTab_59,x1);
  CPCLS(x5,2);
  x6=(*(OBJ(*)(OBJ,OBJ))METHOD(__APrioTab_60,1))(__APrioTab_60,x1);
  x7=(*(OBJ(*)(OBJ,OBJ))METHOD(x5,1))(x5,__APrioTab_33);
  x8=(*(OBJ(*)(OBJ,OBJ))METHOD(x5,1))(x5,__APrioTab_31);
  CPCLS(x8,1);
  x9=(*(OBJ(*)(OBJ,OBJ))METHOD(x5,1))(x5,__APrioTab_32);
  x10=_ASeqFilter_2(x8,x3);
  x11=_ASeqFilter_2(x8,x2);
  x12=_ASeqFilter_2(x7,x10);
  x13=_ASeqFilter_2(x9,x11);
  x14=_APrioTab_28(x13,x12);
  x15=_ASeqFilter_2(x6,x14);
  r=_ASeqFilter_2(x4,x15);}
 return r;}

extern OBJ _APrioTab_14(OBJ x1,OBJ x2) /* = */
{OBJ r;
 switch(TGPRM(x1)){
  case 2:
   if(ISTGPRM(x2,2)){
    r=__ABUILTIN_5;
   }else{
    r=__ABUILTIN_3;}break;
  case 0:
   if(ISTGPRM(x2,0)){
    r=__ABUILTIN_5;
   }else{
    r=__ABUILTIN_3;}break;
  default: 
   if(ISTGPRM(x2,1)){
    r=__ABUILTIN_5;
   }else{
    r=__ABUILTIN_3;}}
 return r;}

extern OBJ _APrioTab_15(OBJ x1,OBJ x2) /* conflict?,1 */
{OBJ r;
 {OBJ x3;OBJ x4;
  if(ISPRM(x1)){
   x3=__ABUILTIN_5;
  }else{
   x3=__ABUILTIN_3;}
  if(ISTGPRM(x3,1)){
   if(ISPRM(x2)){
    x4=__ABUILTIN_5;
   }else{
    x4=__ABUILTIN_3;}
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   FREE(x1,1);
   FREE(x2,1);
   r=__ABUILTIN_3;
  }else{
   if(ISTGPRM(x3,1)){
    FREE(x1,1);
    FREE(x2,1);
    r=__ABUILTIN_5;
   }else{
    if(ISPRM(x2)){
     FREE(x1,1);
     r=__ABUILTIN_5;
    }else{
     {OBJ x9;OBJ x10;OBJ x11;
      x9=_AGlobSig_5(x2);
      x10=_AGlobSig_5(x1);
      x11=_APrioTab_14(x10,x9);
      if(ISTGPRM(x11,1)){
       r=__ABUILTIN_3;
      }else{
       r=__ABUILTIN_5;}}}}}}
 return r;}

extern OBJ _APrioTab_16(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* asD */
{OBJ r;
 CPCLS(__APrioTab_42,1);
 CPPRD(__APrioTab_43,1);
 CPPRD(__APrioTab_44,2);
 CPPRD(__APrioTab_45,1);
 CPPRD(__APrioTab_46,1);
 CPCLS(__AGlobSig_101,1);
 CPCLS(__AGlobSig_107,1);
 {OBJ x5;OBJ x6;
  x5=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__APrioTab_42,2))(__APrioTab_42,x1,x2);
  x6=_AMapConv_8(__AGlobSig_107,__APrioTab_43,__APrioTab_44,__APrioTab_45,__APrioTab_44,x5,__AGlobSig_101,x3);
  ADenotation_6(__APrioTab_46,x6,x4,r);}
 return r;}

extern OBJ _APrioTab_17(OBJ x1,OBJ x2,OBJ x3) /* $ */
{OBJ r;
 if(ISPRD(x3)&&(ISTGPRD(x3,2))){
  {OBJ x41=FLD(x3,3);
   COPY(x1,1);
   CPPRD(x3,2);
   {OBJ x42;OBJ x43;OBJ x44;OBJ x45;
    x42=_AGlobSig_55(x1);
    x43=_AName_11(x3);
    x44=_AName_12(x3);
    x45=_ADArray_21(x42,x44);
    if(ISPRM(x45)){
     FREE(x1,1);
     r=_AName_34(x3);
    }else{
     {OBJ x46=FLD1(x45,1);
      if(EXPRD(x45,1)){
       CPPRD(x46,1);
       DSPRDF(x45);
      }else{
       CPPRD(x46,2);
       FRPRD(x45,1);}
      {OBJ x47;OBJ x48;OBJ x49;OBJ x53;OBJ x51;OBJ x55;
       ANat_76(x41,__AObjects_30,x47);
       x48=_AImpExpEntry_92(x46);
       x49=_ADArray_21(x48,x43);
       if(ISPRM(x49)){
	x53=__ABUILTIN_5;
       }else{
	if(EXPRD(x49,1)){
	 FRPRD(FLD1(x49,1),1);DSPRDF(x49);
	}else{
	 DCPRD(x49,1);}
	x53=__ABUILTIN_3;}
       if(ISTGPRM(x47,1)){
	FRPRD(x46,1);
	COPY(__APrioTab_38,1);
	x51=__APrioTab_38;
       }else{
	{OBJ x50;
	 x50=_AImpExpEntry_91(x46);
	 x51=_ADArray_21(x50,x41);}}
       if(ISTGPRM(x53,1)){
	FREE(x51,1);
	x55=__ABUILTIN_5;
       }else{
	if(ISPRM(x51)){
	 x55=__ABUILTIN_5;
	}else{
	 if(EXPRD(x51,1)){
	  FREE(FLD1(x51,1),1);DSPRDF(x51);
	 }else{
	  DCPRD(x51,1);}
	 x55=__ABUILTIN_3;}}
       if(ISTGPRM(x55,1)){
	FREE(x1,1);
	r=_AName_34(x3);
       }else{
	r=_AAnalyzedGlobSigH_9(x1,x2,x3);}}}}}}
 }else{
  r=_AAnalyzedGlobSigH_9(x1,x2,x3);}
 return r;}

extern OBJ _APrioTab_18(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* def */
{OBJ r;
 CPCLS(__AGlobSig_107,1);
 COPY(x1,1);
 COPY(x4,1);
 {OBJ x5;
  x5=_AMap_33(__AGlobSig_107,x4,x1);
  if(ISPRM(x5)){
   CPCLS(__AGlobSig_107,2);
   {OBJ x12;
    x12=_AMap_31(__AGlobSig_107,x2,x3,__ATree_7);
    r=_AMap_31(__AGlobSig_107,x1,x12,x4);}
  }else{
   {OBJ x13=FLD1(x5,1);
    if(EXPRD(x5,1)){
     DSPRDF(x5);
    }else{
     COPY(x13,1);
     FRPRD(x5,1);}
    CPCLS(__AGlobSig_107,2);
    {OBJ x14;
     x14=_AMap_31(__AGlobSig_107,x2,x3,x13);
     r=_AMap_31(__AGlobSig_107,x1,x14,x4);}}}}
 return r;}

extern TUP2 _APrioTab_20(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* ?&! */
{TUP2 r;
 CPCLS(__AGlobSig_107,1);
 COPY(x1,1);
 COPY(x4,1);
 {OBJ x5;
  x5=_AMap_33(__AGlobSig_107,x4,x1);
  if(ISPRM(x5)){
   CPCLS(__AGlobSig_107,2);
   {OBJ x20;
    x20=_AMap_31(__AGlobSig_107,x2,x3,__ATree_7);
    r.c1=_AMap_31(__AGlobSig_107,x1,x20,x4);
    r.c2=__AOption_5;}
  }else{
   {OBJ x22=FLD1(x5,1);
    if(EXPRD(x5,1)){
     COPY(x22,1);
     DSPRDF(x5);
    }else{
     COPY(x22,2);
     FRPRD(x5,1);}
    COPY(x2,1);
    CPCLS(__AGlobSig_107,1);
    {OBJ x23;
     x23=_AMap_33(__AGlobSig_107,x22,x2);
     if(ISPRM(x23)){
      CPCLS(__AGlobSig_107,2);
      {OBJ x24;
       x24=_AMap_31(__AGlobSig_107,x2,x3,x22);
       r.c1=_AMap_31(__AGlobSig_107,x1,x24,x4);
       r.c2=__AOption_5;}
     }else{
      r.c2=x23;
      FREE(x1,1);
      FREE(x2,1);
      FREE(x3,1);
      FREE(x22,1);
      r.c1=x4;}}}}}
 return r;}
extern OBJ _APrioTab_20_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* ?&! */
{OBJ r;
 {TUP2 t=_APrioTab_20(x1,x2,x3,x4);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern TUP3 _APrioTab_22(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* compose */
{TUP3 r;
 CPCLS(__APrioTab_23,1);
 CPCLS(__AGlobSig_107,1);
 CPPRD(__AOcError_15,1);
 FREE(x5,1);
 {OBJ x6;OBJ x7;OBJ x8;
  x6=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__APrioTab_23,2))(__APrioTab_23,x1,x2);
  PRD1(3,x7);FLD1(x7,1)=x3;FLD1(x7,2)=__AOcError_15;FLD1(x7,3)=__ABUILTIN_5;
  x8=_AMapReduce_6(__AGlobSig_107,x6,x7,x4);
  r=_ATriple_10(x8);}
 return r;}
extern OBJ _APrioTab_22_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* compose */
{OBJ r;
 {TUP3 t=_APrioTab_22(x1,x2,x3,x4,x5);
  PRD1(3,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;}
 return r;}

extern OBJ _APrioTab_23(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* compose,1 */
{OBJ r;
 CPCLS(__APrioTab_24,1);
 CPCLS(__AGlobSig_107,1);
 {OBJ x6;
  x6=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__APrioTab_24,3))(__APrioTab_24,x1,x2,x3);
  r=_AMapReduce_6(__AGlobSig_107,x6,x5,x4);}
 return r;}

extern OBJ _APrioTab_24(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* compose,2 */
{OBJ r;
 {OBJ x7=FLD1(x6,1);
  COPY(x7,1);
  CPCLS(__AGlobSig_107,1);
  {OBJ x10;OBJ x11;
   x10=x7;
   x11=_AMap_33(__AGlobSig_107,x10,x4);
   if(ISPRM(x11)){
    FREE(x1,1);
    FREE(x2,1);
    FREE(x3,1);
    FREE(x5,1);
    r=x6;
   }else{
    {OBJ x17=FLD1(x11,1);
     if(EXPRD(x11,1)){
      DSPRDF(x11);
     }else{
      COPY(x17,1);
      FRPRD(x11,1);}
     CPCLS(__APrioTab_25,1);
     CPCLS(__AGlobSig_107,1);
     {OBJ x18;
      x18=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__APrioTab_25,4))(__APrioTab_25,x1,x2,x3,x5);
      r=_AMapReduce_6(__AGlobSig_107,x18,x6,x17);}}}}}
 return r;}

extern OBJ _APrioTab_25(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7) /* compose,3 */
{OBJ r;
 COPY(x4,1);
 COPY(x6,1);
 {OBJ x20;OBJ x21;
  x20=_AGlobSig_5(x4);
  x21=_AGlobSig_5(x6);
  {OBJ x38=FLD1(x7,1);OBJ x39=FLD1(x7,2);OBJ x40=FLD1(x7,3);FLAG x_x7=EXPRD(x7,1);
   if(x_x7){
   }else{
    COPY(x38,1);CPPRD(x39,1);}
   {OBJ x41;
    x41=_APrioTab_14(x20,x21);
    if(ISTGPRM(x41,1)){
     COPY(x3,1);
     COPY(x5,1);
     {OBJ x42;TUP2 x44;
      x42=_AGlobSig_102(x4,x6);
      COPY(x42,1);
      x44=_APrioTab_20(x3,x5,x42,x38);
      if(ISPRM(x44.c2)){
       FREE(x1,1);
       FREE(x2,1);
       FREE(x3,1);
       FREE(x5,1);
       FREE(x42,1);
       if(x_x7){
	RSOME(x7,r);FLD1(r,1)=x44.c1;FLD1(r,3)=__ABUILTIN_3;
       }else{
	FRPRD(x7,1);PRD1(3,r);FLD1(r,1)=x44.c1;FLD1(r,2)=x39;FLD1(r,3)=__ABUILTIN_3;}
      }else{
       {OBJ x46=FLD1(x44.c2,1);
	if(EXPRD(x44.c2,1)){
	 COPY(x46,1);
	 DSPRDF(x44.c2);
	}else{
	 COPY(x46,2);
	 FRPRD(x44.c2,1);}
	COPY(x42,1);
	{OBJ x47;
	 x47=_APrioTab_15(x46,x42);
	 if(ISTGPRM(x47,1)){
	  {OBJ x48;
	   x48=_APrioTab_36(x1,x2,x3,x5,x42,x46);
	   if(x_x7){
	    RSOME(x7,r);FLD1(r,1)=x44.c1;
	   }else{
	    FRPRD(x7,1);PRD1(3,r);FLD1(r,1)=x44.c1;FLD1(r,3)=x40;}
	   FLD1(r,2)=_AOcError_21(x39,x48);}
	 }else{
	  FREE(x1,1);
	  FREE(x2,1);
	  FREE(x3,1);
	  FREE(x5,1);
	  FREE(x42,1);
	  FREE(x46,1);
	  if(x_x7){
	   RSOME(x7,r);FLD1(r,1)=x44.c1;
	  }else{
	   FRPRD(x7,1);PRD1(3,r);FLD1(r,1)=x44.c1;FLD1(r,2)=x39;FLD1(r,3)=x40;}}}}}}
    }else{
     FREE(x1,1);
     FREE(x2,1);
     FREE(x3,1);
     FREE(x4,1);
     FREE(x5,1);
     FREE(x6,1);
     if(x_x7){
      RSOME(x7,r);
     }else{
      FRPRD(x7,1);PRD1(3,r);FLD1(r,1)=x38;FLD1(r,2)=x39;FLD1(r,3)=x40;}}}}}
 return r;}

extern OBJ _APrioTab_26(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* insert */
{OBJ r;
 {OBJ x36=FLD1(x3,1);OBJ x37=FLD1(x3,2);
  if(EXPRD(x3,1)){
   DSPRDF(x3);
  }else{
   COPY(x36,1);COPY(x37,1);
   FRPRD(x3,1);}
  {OBJ x52=FLD1(x4,1);OBJ x53=FLD1(x4,2);FLAG x_x4=EXPRD(x4,1);
   if(x_x4){
    COPY(x52,1);
   }else{
    COPY(x52,2);CPPRD(x53,1);}
   COPY(x2,1);
   COPY(x36,1);
   COPY(x37,1);
   {TUP2 x55;
    x55=_APrioTab_20(x36,x37,x2,x52);
    if(ISPRM(x55.c2)){
     FREE(x1,1);
     FREE(x2,1);
     FREE(x36,1);
     FREE(x37,1);
     FREE(x52,1);
     CPPRD(__AOcError_15,1);
     {
      if(x_x4){
       RSOME(x4,r);FLD1(r,1)=x55.c1;
      }else{
       FRPRD(x4,1);PRD1(2,r);FLD1(r,1)=x55.c1;}
      FLD1(r,2)=_AOcError_21(x53,__AOcError_15);}
    }else{
     {OBJ x58=FLD1(x55.c2,1);
      if(EXPRD(x55.c2,1)){
       COPY(x58,1);
       DSPRDF(x55.c2);
      }else{
       COPY(x58,2);
       FRPRD(x55.c2,1);}
      FREE(x55.c1,1);
      COPY(x2,1);
      {OBJ x59;
       x59=_APrioTab_15(x2,x58);
       if(ISTGPRM(x59,1)){
	{OBJ x60;
	 x60=_APrioTab_35(x1,x2,x36,x37,x58);
	 if(x_x4){
	  RSOME(x4,r);
	 }else{
	  FRPRD(x4,1);PRD1(2,r);FLD1(r,1)=x52;}
	 FLD1(r,2)=_AOcError_21(x53,x60);}
       }else{
	FREE(x1,1);
	FREE(x2,1);
	FREE(x36,1);
	FREE(x37,1);
	FREE(x58,1);
	if(x_x4){
	 RSOME(x4,r);
	}else{
	 FRPRD(x4,1);PRD1(2,r);FLD1(r,1)=x52;FLD1(r,2)=x53;}}}}}}}}
 return r;}

extern OBJ _APrioTab_27(OBJ x1,OBJ x2) /* pair */
{OBJ r;
 CPCLS(__APrioTab_53,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__APrioTab_53,1))(__APrioTab_53,x1);
  r=_ASeqMap_3(x3,x2);}
 return r;}

extern OBJ _APrioTab_28(OBJ x1,OBJ x2) /* pair,1 */
{OBJ r;
 CPCLS(__APrioTab_54,1);
 {OBJ x3;OBJ x4;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__APrioTab_54,1))(__APrioTab_54,x2);
  x4=_ASeqMap_3(x3,x1);
  r=_ASeqOfSeq_2(x4);}
 return r;}

extern OBJ _APrioTab_31(OBJ x1) /* infixPossible? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,2))){
  {OBJ x86=FLD(x1,1);OBJ x87=FLD(x1,2);
   if(EXPRD(x1,1)){
    DSPRDF(x1);
   }else{
    COPY(x86,1);COPY(x87,1);
    FRPRD(x1,1);}
   if(ISPRD(x86)&&(ISTGPRD(x86,1))){
    {OBJ x88=FLD(x86,1);
     if(EXPRD(x86,1)){
      DSPRDF(x86);
     }else{
      COPY(x88,1);
      FRPRD(x86,1);}
     if(ISPRD(x87)&&(ISTGPRD(x87,0))){
      if(EXPRD(x87,1)){
       FREE(FLD(x87,1),1);DSPRDF(x87);
      }else{
       DCPRD(x87,1);}
      {OBJ x90;
       x90=_ASeq_52(x88,__ANat_5);
       ANat_81(x90,__ANat_8,r);}
     }else{
      if(ISPRD(x87)&&(ISTGPRD(x87,1))){
       {OBJ x91=FLD(x87,1);
	if(EXPRD(x87,1)){
	 COPY(x91,1);
	 DSPRDF(x87);
	}else{
	 COPY(x91,2);
	 FRPRD(x87,1);}
	COPY(x88,1);
	{OBJ x92;OBJ x93;OBJ x94;
	 x92=_ASeq_52(x88,__ANat_5);
	 x93=_ASeq_52(x91,__ANat_5);
	 ANat_81(x92,x93,x94);
	 if(ISTGPRM(x94,1)){
	  CPCLS(__AFct_18,1);
	  {OBJ x95;
	   x95=_ASeq_42(__AFct_18,x88);
	   if(ISTGPRM(x95,1)){
	    COPY(x91,1);
	    CPCLS(__AFct_18,1);
	    {OBJ x96;
	     x96=_ASeq_42(__AFct_18,x91);
	     if(ISTGPRM(x96,1)){
	      if(ISPRM(x91)){
	       r=__ABUILTIN_3;
	      }else{
	       if(EXPRD(x91,1)){
		DSPRD(x91);
	       }else{
		DCPRD(x91,1);}
	       r=__ABUILTIN_5;}
	     }else{
	      FREE(x91,1);
	      r=__ABUILTIN_3;}}
	   }else{
	    FREE(x91,1);
	    r=__ABUILTIN_3;}}
	 }else{
	  FREE(x88,1);
	  FREE(x91,1);
	  r=__ABUILTIN_3;}}}
      }else{
       FREE(x87,1);
       FREE(x88,1);
       r=__ABUILTIN_3;}}}
   }else{
    FREE(x86,1);
    FREE(x87,1);
    r=__ABUILTIN_3;}}
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _APrioTab_32(OBJ x1) /* abb? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,2))){
  {OBJ x67=FLD(x1,1);OBJ x68=FLD(x1,2);
   if(EXPRD(x1,1)){
    DSPRDF(x1);
   }else{
    COPY(x67,1);COPY(x68,1);
    FRPRD(x1,1);}
   if(ISPRD(x67)&&(ISTGPRD(x67,1))){
    {OBJ x69=FLD(x67,1);
     if(EXPRD(x67,1)){
      DSPRDF(x67);
     }else{
      COPY(x69,1);
      FRPRD(x67,1);}
     if(ISPRD(x68)&&(ISTGPRD(x68,0))){
      {OBJ x70;FLAG x_x68=EXPRD(x68,1);
       if(x_x68){
       }else{
	x70=FLD(x68,1);COPY(x70,1);}
       CPCLS(__AGlobSig_108,1);
       {OBJ x71;OBJ x72;
	if(x_x68){
	 RPRD(x68,x71);
	}else{
	 FRPRD(x68,1);PRD(1,0,x71);FLD(x71,1)=x70;}
	x72=_ASeq_38(x69);
	r=_AFct_21(__AGlobSig_108,x72,x71);}}
     }else{
      if(ISPRD(x68)&&(ISTGPRD(x68,1))){
       {OBJ x73=FLD(x68,1);
	if(EXPRD(x68,1)){
	 DSPRDF(x68);
	}else{
	 COPY(x73,1);
	 FRPRD(x68,1);}
	{OBJ x74;OBJ x75;
	 x74=_ASeq_51(x73,__ASeq_6);
	 x75=_ASeq_51(x69,__ASeq_6);
	 r=_APrioTab_34(x74,x75);}}
      }else{
       FREE(x68,1);
       FREE(x69,1);
       r=__ABUILTIN_3;}}}
   }else{
    FREE(x67,1);
    FREE(x68,1);
    r=__ABUILTIN_3;}}
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _APrioTab_33(OBJ x1) /* bcb? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,2))){
  {OBJ x65=FLD(x1,1);OBJ x66=FLD(x1,2);
   if(EXPRD(x1,1)){
    DSPRDF(x1);
   }else{
    COPY(x65,1);COPY(x66,1);
    FRPRD(x1,1);}
   if(ISPRD(x65)&&(ISTGPRD(x65,1))){
    {OBJ x67=FLD(x65,1);
     if(EXPRD(x65,1)){
      DSPRDF(x65);
     }else{
      COPY(x67,1);
      FRPRD(x65,1);}
     if(ISPRD(x66)&&(ISTGPRD(x66,0))){
      {OBJ x68=FLD(x66,1);FLAG x_x66=EXPRD(x66,1);
       if(x_x66){
       }else{
	COPY(x68,1);}
       {OBJ x72;OBJ x69;
	if(ISPRM(x67)){
	 HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
	}else{
	 {OBJ x70=FLD1(x67,1);
	  if(EXPRD(x67,1)){
	   x72=x70;
	   FREE(FLD1(x67,2),1);DSPRDF(x67);
	  }else{
	   COPY(x70,1);
	   x72=x70;
	   FRPRD(x67,1);}
	  CPCLS(__AGlobSig_108,1);}}
	if(x_x66){
	 RPRD(x66,x69);
	}else{
	 FRPRD(x66,1);PRD(1,0,x69);FLD(x69,1)=x68;}
	r=_AFct_21(__AGlobSig_108,x72,x69);}}
     }else{
      if(ISPRD(x66)&&(ISTGPRD(x66,1))){
       {OBJ x73=FLD(x66,1);
	if(EXPRD(x66,1)){
	 DSPRDF(x66);
	}else{
	 COPY(x73,1);
	 FRPRD(x66,1);}
	r=_APrioTab_34(x73,x67);}
      }else{
       FREE(x66,1);
       FREE(x67,1);
       r=__ABUILTIN_3;}}}
   }else{
    FREE(x65,1);
    FREE(x66,1);
    r=__ABUILTIN_3;}}
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _APrioTab_34(register OBJ x1,register OBJ x2) /* <| */
{OBJ r;
 for(;;){
  if(ISPRM(x1)){
   if(ISPRM(x2)){
    r=__ABUILTIN_3;
   }else{
    if(EXPRD(x2,1)){
     DSPRD(x2);
    }else{
     DCPRD(x2,1);}
    r=__ABUILTIN_5;}
  }else{
   {OBJ x61=FLD1(x1,1);OBJ x62=FLD1(x1,2);
    if(EXPRD(x1,1)){
     DSPRDF(x1);
    }else{
     COPY(x61,1);COPY(x62,1);
     FRPRD(x1,1);}
    if(ISPRM(x2)){
     FREE(x61,1);
     FREE(x62,1);
     r=__ABUILTIN_3;
    }else{
     {OBJ x63=FLD1(x2,1);OBJ x64=FLD1(x2,2);
      if(EXPRD(x2,1)){
       DSPRDF(x2);
      }else{
       COPY(x63,1);COPY(x64,1);
       FRPRD(x2,1);}
      CPCLS(__AGlobSig_108,1);
      {OBJ x67;
       x67=_AFct_21(__AGlobSig_108,x61,x63);
       if(ISTGPRM(x67,1)){
	x1=x62;x2=x64;continue;
       }else{
	FREE(x62,1);
	FREE(x64,1);
	r=__ABUILTIN_3;}}}}}}
  break;}
 return r;}

extern OBJ _APrioTab_35(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* pConflict */
{OBJ r;
 CPCLS(__APrioTab_52,1);
 COPY(x1,1);
 COPY(x2,2);
 COPY(x5,1);
 {OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;OBJ x16;OBJ x17;OBJ x18;OBJ x23;OBJ x24;
  x6=_AGlobSig_7(x5);
  x7=_AGlobSig_7(x2);
  x8=_AGlobSig_5(x2);
  x9=(*(OBJ(*)(OBJ,OBJ))METHOD(__APrioTab_52,1))(__APrioTab_52,__ABUILTIN_20);
  x10=_AAnalyzedGlobSigH_9(x1,__AAnalyzedGlobSig_23,x3);
  x11=_AAnalyzedGlobSigH_9(x1,__AAnalyzedGlobSig_23,x4);
  switch(TGPRM(x8)){
   case 2:
    CPPRD(__APrioTab_46,1);
    CPPRD(__APrioTab_48,1);
    x12=__APrioTab_48;break;
   case 0:
    CPPRD(__APrioTab_46,1);
    CPPRD(__APrioTab_49,1);
    x12=__APrioTab_49;break;
   default: 
    CPPRD(__APrioTab_46,1);
    CPPRD(__APrioTab_47,1);
    x12=__APrioTab_47;}
  ADenotation_4(__APrioTab_46,x11,x13);
  if(ISTGPRM(x6,1)){
   {OBJ x14;
    x14=_AGlobSig_8(x5);
    PRD1(2,x16);FLD1(x16,1)=x14;FLD1(x16,2)=__ASeq_6;}
  }else{
   COPY(x5,1);
   {OBJ x15;
    x15=_AGlobSig_3(x5);
    if(ISTGPRM(x15,1)){
     x16=_AGlobSig_4(x5);
    }else{
     HLT("PrioTab at <312,19-313,49> : missing else in pConflict\'PrioTab:globSig->rule**name**name->rule->err");}}}
  ADenotation_4(x12,x9,x17);
  ADenotation_4(x10,x13,x18);
  if(ISTGPRM(x7,1)){
   CPPRD(__APrioTab_44,2);
   CPCLS(__AOcPos_34,1);
   CPPRD(__ASeqConv_8,1);
   x23=_AGlobSig_8(x2);
  }else{
   COPY(x2,1);
   {OBJ x19;
    x19=_AGlobSig_3(x2);
    if(ISTGPRM(x19,1)){
     {OBJ x20;
      x20=_AGlobSig_4(x2);
      if(ISPRM(x20)){
       HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
      }else{
       {OBJ x21=FLD1(x20,1);
	if(EXPRD(x20,1)){
	 x23=x21;
	 FREE(FLD1(x20,2),1);DSPRDF(x20);
	}else{
	 COPY(x21,1);
	 x23=x21;
	 FRPRD(x20,1);}
	CPPRD(__APrioTab_44,2);
	CPCLS(__AOcPos_34,1);
	CPPRD(__ASeqConv_8,1);}}}
    }else{
     HLT("PrioTab at <309,15-310,40> : missing else in pConflict\'PrioTab:globSig->rule**name**name->rule->err");}}}
  x24=_ASeqConv_3(__APrioTab_44,__ASeqConv_8,__APrioTab_44,__AOcPos_34,x16);
  r=_AOcError_19(__AOcError_12,x17,x24,x18,x23);}
 return r;}

extern OBJ _APrioTab_36(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* pTConflict */
{OBJ r;
 CPPRD(__APrioTab_46,1);
 CPPRD(__APrioTab_55,1);
 CPPRD(__APrioTab_56,1);
 COPY(x1,1);
 {OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;OBJ x14;
  x7=_AAnalyzedGlobSigH_9(x1,__AAnalyzedGlobSig_23,x3);
  x8=_AAnalyzedGlobSigH_9(x1,__AAnalyzedGlobSig_23,x4);
  x9=_AGlobSig_101(x5);
  x10=_AGlobSig_101(x6);
  ADenotation_4(__APrioTab_55,x8,x11);
  ADenotation_4(__APrioTab_46,x10,x12);
  ADenotation_4(x7,x11,x13);
  ADenotation_4(x9,x12,x14);
  r=_AOcError_19(__AOcError_12,__APrioTab_56,x13,x14,x2);}
 return r;}

extern OBJ _APrioTab_37(OBJ x1) /* asDeno */
{OBJ r;
 switch(TGPRM(x1)){
  case 2:
   CPPRD(__APrioTab_48,1);
   r=__APrioTab_48;break;
  case 0:
   CPPRD(__APrioTab_49,1);
   r=__APrioTab_49;break;
  default: 
   CPPRD(__APrioTab_47,1);
   r=__APrioTab_47;}
 return r;}

extern OBJ _APrioTab_42(OBJ x1,OBJ x2,OBJ x3) /* asD'42 */
{OBJ r;
 CPPRD(__APrioTab_39,1);
 CPPRD(__APrioTab_40,1);
 CPPRD(__APrioTab_41,1);
 COPY(x1,1);
 {OBJ x4;OBJ x5;OBJ x6;OBJ x7;OBJ x8;
  x4=_APrioTab_17(x1,__AAnalyzedGlobSig_23,x2);
  x5=_APrioTab_17(x1,__AAnalyzedGlobSig_23,x3);
  ADenotation_4(x5,__APrioTab_39,x6);
  ADenotation_4(__APrioTab_40,x6,x7);
  ADenotation_4(x4,x7,x8);
  ADenotation_4(__APrioTab_41,x8,r);}
 return r;}

extern OBJ _APrioTab_52(OBJ x1) /* pConflict'52 */
{OBJ r;
 CPPRD(__APrioTab_50,1);
 CPPRD(__APrioTab_51,1);
 ADenotation_4(__APrioTab_50,__APrioTab_51,r);
 return r;}

extern OBJ _APrioTab_53(OBJ x1,OBJ x2) /* pair'53 */
{OBJ r;
 PRD1(2,r);FLD1(r,1)=x1;FLD1(r,2)=x2;
 return r;}

extern OBJ _APrioTab_54(OBJ x1,OBJ x2) /* pair,1'54 */
{OBJ r;
 CPCLS(__APrioTab_53,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__APrioTab_53,1))(__APrioTab_53,x2);
  r=_ASeqMap_3(x3,x1);}
 return r;}

extern OBJ _APrioTab_57(OBJ x1,OBJ x2) /* conflicts'57 */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,2))){
  {OBJ x39=FLD(x1,14);
   if(EXPRD(x1,1)){
    FLD(x1,14)=NIL;DSPRD(x1);
   }else{
    COPY(x39,1);
    FRPRD(x1,1);}
   {OBJ x48=FLD1(x2,1);OBJ x49=FLD1(x2,2);
    if(EXPRD(x2,1)){
     DSPRDF(x2);
    }else{
     COPY(x48,1);COPY(x49,1);
     FRPRD(x2,1);}
    {OBJ x50;
     x50=_APrioTab_12(x39,x48,x49);
     if(ISPRM(x50)){
      r=__ABUILTIN_5;
     }else{
      if(EXPRD(x50,1)){
       FREE(FLD1(x50,1),1);DSPRDF(x50);
      }else{
       DCPRD(x50,1);}
      r=__ABUILTIN_3;}}}}
 }else{
  HLT("GlobSig at <unknown> : undefined selection prioTab\'GlobSig:globSig->prioTab");}
 return r;}

extern OBJ _APrioTab_58(OBJ x1,OBJ x2,OBJ x3) /* conflicts'58 */
{OBJ r;
 {OBJ x4;
  x4=_AAnalyzedGlobSigH_1(x1,x3);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x4);}
 return r;}

extern OBJ _APrioTab_59(OBJ x1,OBJ x2) /* conflicts'59 */
{OBJ r;
 CPCLS(__APrioTab_58,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__APrioTab_58,2))(__APrioTab_58,x1,x2);
 return r;}

extern OBJ _APrioTab_60(OBJ x1,OBJ x2) /* conflicts'60 */
{OBJ r;
 {OBJ x22=FLD1(x2,1);OBJ x23=FLD1(x2,2);
  if(EXPRD(x2,1)){
   DSPRDF(x2);
  }else{
   COPY(x22,1);COPY(x23,1);
   FRPRD(x2,1);}
  COPY(x1,1);
  {OBJ x24;OBJ x25;
   x24=_AAnalyzedGlobSigH_1(x1,x23);
   x25=_AAnalyzedGlobSigH_1(x1,x22);
   if(ISPRD(x25)&&(ISTGPRD(x25,2))){
    {OBJ x27=FLD(x25,2);
     if(EXPRD(x25,1)){
      FREE(FLD(x25,1),1);DSPRDF(x25);
     }else{
      COPY(x27,1);
      FRPRD(x25,1);}
     if(ISPRD(x24)&&(ISTGPRD(x24,2))){
      {OBJ x29=FLD(x24,2);
       if(EXPRD(x24,1)){
	FREE(FLD(x24,1),1);DSPRDF(x24);
       }else{
	COPY(x29,1);
	FRPRD(x24,1);}
       CPCLS(__AGlobSig_108,1);
       r=_AFct_21(__AGlobSig_108,x27,x29);}
     }else{
      HLT("Fct at <unknown> : undefined selection res\'Fct:fct->fct");}}
   }else{
    HLT("Fct at <unknown> : undefined selection res\'Fct:fct->fct");}}}
 return r;}




static OBJ _mt_2_0_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 {OBJ t4;
  DCCLS(t,1);
  t4=(*(OBJ(*)(OBJ,OBJ))ENTRY(t))(t1,t2);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(t4,1))(t4,t3);}
 return r;}

static OBJ _mt_2_1_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 {OBJ t3;
  if(EXCLS(t)){
   DSCLSF(t);
  }else{
   COPY(FLDCLS(t,1),1);
   DCCLS(t,1);}
  t3=(*(OBJ(*)(OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),t1);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(t3,1))(t3,t2);}
 return r;}

static OBJ _mt_5_0_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,2);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 return r;}

static OBJ _mt_5_2_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),t1,t2,t3);
 return r;}

static OBJ _mt_6_0_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,2);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 return r;}

static OBJ _mt_6_0_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,3);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 return r;}

static OBJ _mt_6_2_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),t1,t2,t3,t4);
 return r;}

static OBJ _mt_6_3_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),t1,t2,t3);
 return r;}

static OBJ _mt_7_0_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,4);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 return r;}

static OBJ _mt_7_4_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),t1,t2,t3);
 return r;}

init_APrioTab()
{
 static int visited=0; if(visited) return; visited=1;
 init_ASet();
 init_ABitset();
 init_APatterns();
 init_AAttributes();
 init_AGlobSig();
 init_ADArray();
 init_AName();
 init_ANatMap();
 init_AOcPos();
 init_AArray();
 init_AOcError();
 init_APartName();
 init_ASeq();
 init_ATriple();
 init_AOption();
 init_ADenotation();
 init_APair();
 init_ASeqConv();
 init_ANat();
 init_AAnalyzedGlobSig();
 init_AString();
 init_AMapReduce();
 init_AOcOptions();
 init_ASeqMap();
 init_ACom();
 init_ASeqOfSeq();
 init_AVoid();
 init_AMapConv();
 init_AChar();
 init_ASeqReduce();
 init_AStream();
 init_ASeqCompare();
 init_AFile();
 init_AOptionConv();
 init_AInt();
 init_ASeqFilter();
 init_AObjects();
 init_ARelCmp();
 init_AFct();
 init_ASetByBST();
 init_ATable();
 init_ABSTree();
 init_AUniqueTable();
 init_ATree();
 init_ADeclEntry();
 init_AAbsyFun3();
 init_APartNameEntry();
 init_AAnalyzedGlobSigH();
 init_AImpExpEntry();
 init_AGlobSigToText();
 init_AGlobSigImpl();
 init_AImpDecl4SigAna();
 init_ARep();
 init_AMySeqFun1();
 init_APragma();
 init_AName4SigAna();
 init_AImpl();
 init_ADArrayReduce();
 init_AGlobPragma();
 init_AMap();
 CLS(1,_APrioTab_31,__APrioTab_31);
 CLS(2,_APrioTab_60,__APrioTab_60);
 CLS(2,_APrioTab_28,__APrioTab_28);
 CLS(2,_APrioTab_59,__APrioTab_59);
 CLS(2,_APrioTab_27,__APrioTab_27);
 CLS(3,_APrioTab_58,__APrioTab_58);
 CLS(4,_APrioTab_26,__APrioTab_26);
 CLS(2,_APrioTab_57,__APrioTab_57);
 CLS(7,_APrioTab_25,__APrioTab_25);
 DEN("transitive bracketing conflict for %s:\n%s",__APrioTab_56);
 CLS(6,_APrioTab_24,__APrioTab_24);
 DEN(" and ",__APrioTab_55);
 CLS(5,_APrioTab_23,__APrioTab_23);
 CLS(2,_APrioTab_54,__APrioTab_54);
 CLS(5,_APrioTab_22_c,__APrioTab_22);
 CLS(2,_APrioTab_53,__APrioTab_53);
 LCLS(1,_APrioTab_52,__APrioTab_52);
 CLS(4,_APrioTab_20_c,__APrioTab_20);
 DEN("with bracketings at %s for\n%s",__APrioTab_51);
 DEN(" bracketing is in conflict ",__APrioTab_50);
 CLS(4,_APrioTab_18,__APrioTab_18);
 DEN("left",__APrioTab_49);
 CLS(3,_APrioTab_17,__APrioTab_17);
 DEN("(\?\?)",__APrioTab_48);
 CLS(4,_APrioTab_16,__APrioTab_16);
 DEN("right",__APrioTab_47);
 CLS(2,_APrioTab_15,__APrioTab_15);
 DEN("\n",__APrioTab_46);
 CLS(2,_APrioTab_14,__APrioTab_14);
 DEN(",\n",__APrioTab_45);
 CLS(3,_APrioTab_13,__APrioTab_13);
 DEN("",__APrioTab_44);
 CLS(3,_APrioTab_12,__APrioTab_12);
 DEN("->",__APrioTab_43);
 CLS(3,_APrioTab_11,__APrioTab_11);
 CLS(3,_APrioTab_42,__APrioTab_42);
 CLS(3,_APrioTab_10_c,__APrioTab_10);
 DEN("(",__APrioTab_41);
 CLS(5,_APrioTab_9_c,__APrioTab_9);
 DEN(", ",__APrioTab_40);
 CLS(5,_APrioTab_8_c,__APrioTab_8);
 DEN(")",__APrioTab_39);
 CLS(5,_APrioTab_7_c,__APrioTab_7);
 CLS(5,_APrioTab_6_c,__APrioTab_6);
 CLS(2,_APrioTab_5,__APrioTab_5);
 CLS(1,_APrioTab_37,__APrioTab_37);
 CLS(6,_APrioTab_36,__APrioTab_36);
 CLS(5,_APrioTab_35,__APrioTab_35);
 CLS(1,_APrioTab_2,__APrioTab_2);
 CLS(2,_APrioTab_34,__APrioTab_34);
 CLS(1,_APrioTab_1,__APrioTab_1);
 CLS(1,_APrioTab_33,__APrioTab_33);
 CLS(1,_APrioTab_32,__APrioTab_32);
 MTH(2,0,3,_mt_2_0_3);LZYMTH(2,0,3,_mt_2_0_3);
 MTH(2,1,2,_mt_2_1_2);LZYMTH(2,1,2,_mt_2_1_2);
 MTH(5,0,2,_mt_5_0_2);LZYMTH(5,0,2,_mt_5_0_2);
 MTH(5,2,3,_mt_5_2_3);LZYMTH(5,2,3,_mt_5_2_3);
 MTH(6,0,2,_mt_6_0_2);LZYMTH(6,0,2,_mt_6_0_2);
 MTH(6,0,3,_mt_6_0_3);LZYMTH(6,0,3,_mt_6_0_3);
 MTH(6,2,4,_mt_6_2_4);LZYMTH(6,2,4,_mt_6_2_4);
 MTH(6,3,3,_mt_6_3_3);LZYMTH(6,3,3,_mt_6_3_3);
 MTH(7,0,4,_mt_7_0_4);LZYMTH(7,0,4,_mt_7_0_4);
 MTH(7,4,3,_mt_7_4_3);LZYMTH(7,4,3,_mt_7_4_3);
 PRDF(1,1,__APrioTab_3);FLD(__APrioTab_3,1)=__AGlobSig_20;
 PRDF(1,1,__APrioTab_4);FLD(__APrioTab_4,1)=__AGlobSig_18;
 PRD1F(1,__APrioTab_38);FLD1(__APrioTab_38,1)=__AImpExpEntry_84;}

